/****************************************************************
$Module       : XOLEPP (xolepp.h)
$Library      : 
$Class        : CExtOlePropertyPage
$Derivation   : COlePropertyPage
$Author       : Michael Foster
$Purpose      : To provide extended functionality for the 
                COlePropertyPage base class
****************************************************************/

#if !defined(_XOLEPP_H)
#define _XOLEPP_H

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/****************************************************************
   CExtOlePropertyPage class definition
****************************************************************/
class CExtOlePropertyPage : public COlePropertyPage
{
/*----------------------------
   Construction/Destruction
----------------------------*/
public:
   CExtOlePropertyPage(UINT idDlg, UINT idCaption);

/*----------------------------
   Member Variables
----------------------------*/
protected:
   // Dialog Data
   //{{AFX_DATA(CExtOlePropertyPage)
   //}}AFX_DATA

/*----------------------------
   Implementation
----------------------------*/
protected:

   // Data Exchange
   void DDP_CBData( CDataExchange* pDX, 
      int id, int& nData, LPCTSTR pszPropName );

   void DDX_CBData( CDataExchange* pDX, int nIDC, int& nData );

   // Message maps
   //{{AFX_MSG(CExtOlePropertyPage)
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};


#endif
